\documentclass[border = 5pt]{standalone}

\usepackage{pgfplots}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}

  \pgfmathsetmacro{\p}{1.0}
  \pgfmathsetmacro{\q}{1.5}
  \begin{axis}[
    xlabel = {$x$},
    ylabel = {$y$},
    zlabel = {$z$},
    view = {60}{30},
    domain = 0 : pi,
    y domain = 0 : 2 * pi,
    z buffer = sort,
    unit vector ratio = 1 1,
    hide axis,
    colormap/blackwhite,
    declare function = {
      xp(\x, \y) = sin(deg(\x)) * cos(deg(\y));
      yp(\x, \y) = \p * sin(deg(\x)) * sin(deg(\y));
      zp(\x, \y) = \q * cos(deg(\x));
    }, ]
    \addplot3[patch]({xp(x, y)}, {yp(x, y)}, {zp(x, y)});
  \end{axis}
\end{tikzpicture}

\end{document}
